
BrainVoyager.ShowLogTab();
BrainVoyager.PrintToLog("Start preprocessing of experiment data...");
var fmrprojectname = "/Users/bv_user/Data/run1/CG_Objects.fmr"; // <- change this filename!
BrainVoyager.PrintToLog("Currently preprocessing FMR project: " +  fmrprojectname);

var logfile = new QFile("log_preprocessing_parameters.txt"); 
logfile.open(new QIODevice.OpenMode(QIODevice.WriteOnly)); 
var textoutput = new QTextStream(logfile);
textoutput.writeString("Filename: " + fmrprojectname + "\n"); 
textoutput.writeString("Preprocessing parameters for slice scan time correction:\n"); 
textoutput.writeString("Scan order (ascending-interleaved): "); 
textoutput.writeInt(1); 
textoutput.writeString("\n");
textoutput.writeString("Interpolation (): "); 
textoutput.writeInt(2); 
textoutput.writeString("\n");

var fmrproject = BrainVoyager.OpenDocument(fmrprojectname);
var success = fmrproject.CorrectSliceTiming(1,3); // <- check if the parameters are correct for this FMR project!
textoutput.writeString("New name: " + fmrproject.FileNameOfPreprocessedFMR + "\n"); // until QX 2.3: FileNameOfPreprocessdFMR
logfile.close();

BrainVoyager.PrintToLog("Finished preprocessing.");


